=== debian/changelog ===
tree-sitter-query (0.1.0-2) unstable; urgency=medium

  * Upload to unstable
  * Add comment about provenance of src/tree_sitter/parser.h

 -- James McCoy <jamessan@debian.org>  Thu, 25 Jan 2024 07:56:57 -0500

tree-sitter-query (0.1.0-1) experimental; urgency=medium

  * Initial debianization. (Closes: #1052204)

 -- James McCoy <jamessan@debian.org>  Mon, 09 Oct 2023 20:30:30 -0400
