=== debian/control ===
Source: tree-sitter-query
Priority: optional
Maintainer: Tree-sitter Team <team+tree-sitter@tracker.debian.org>
Uploaders:
 James McCoy <jamessan@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 nodejs,
 tree-sitter-cli,
Standards-Version: 4.6.2
Section: libs
Homepage: https://github.com/nvim-treesitter/tree-sitter-query/
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/tree-sitter-team/tree-sitter-query.git
Vcs-Browser: https://salsa.debian.org/tree-sitter-team/tree-sitter-query

Package: tree-sitter-query-src
Architecture: all
Depends:
 ${misc:Depends},
 g++,
 libtree-sitter-dev,
 pkg-config,
Description: Tree-sitter queries parser for Tree-sitter (source files)
 This package contains the generated source files for building the tree-sitter
 queries parser shared object.
