=== debian/changelog ===
tree-sitter-query (0.4.0-3) unstable; urgency=medium

  * Add libc-dev and make to tree-sitter-query-src Depends
  * Add cargo and rustc explicitly to Build-Depends

 -- James McCoy <jamessan@debian.org>  Sun, 16 Mar 2025 22:23:01 -0400

tree-sitter-query (0.4.0-2) unstable; urgency=medium

  * Upload to unstable
  * Revert "Switch branch to debian/experimental"
  * Declare compliance with Policy 4.7.2, no changes needed

 -- James McCoy <jamessan@debian.org>  Sat, 08 Mar 2025 14:24:38 -0500

tree-sitter-query (0.4.0-1) experimental; urgency=medium

  * New upstream version
  * Adapt shared object build from C++ to C
  * Switch pkg-config Depends to pkgconf
  * Include src/tree_sitter/ in the package
  * d/clean: Add trailing slash to debian/.cache/
  * Add salsa-ci.yml config
  * Switch branch to debian/experimental
  * Bump minimum version of tree-sitter (Build-)Depends to 0.21
  * Declare compliance with Policy 4.7.0, no changes needed
  * Add librust-tree-sitter-query-dev package

 -- James McCoy <jamessan@debian.org>  Thu, 26 Dec 2024 17:15:52 -0500
