=== debian/control ===
Source: tree-sitter-query
Priority: optional
Maintainer: Tree-sitter Team <team+tree-sitter@tracker.debian.org>
Uploaders:
 James McCoy <jamessan@debian.org>,
Build-Depends:
 cargo:native,
 debhelper-compat (= 13),
 dh-sequence-rust,
 librust-cc-1+default-dev (>= 1.0.89),
 librust-tree-sitter-0+default-dev (>= 0.21),
 nodejs,
 rustc:native,
 tree-sitter-cli (>= 0.21),
Standards-Version: 4.7.2
Section: libs
Homepage: https://github.com/tree-sitter-grammars/tree-sitter-query/
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/tree-sitter-team/tree-sitter-query.git
Vcs-Browser: https://salsa.debian.org/tree-sitter-team/tree-sitter-query

Package: tree-sitter-query-src
Architecture: all
Depends:
 ${misc:Depends},
 gcc,
 libc6-dev | libc-dev,
 libtree-sitter-dev (>= 0.21),
 make,
 pkgconf,
Description: Tree-sitter queries parser for Tree-sitter (source files)
 This package contains the generated source files for building the tree-sitter
 queries parser shared object.

Package: librust-tree-sitter-query-dev
Section: rust
Architecture: any
Multi-Arch: same
Depends:
 librust-cc-1+default-dev (>= 1.0.89),
 librust-tree-sitter-0+default-dev (>= 0.21),
 ${misc:Depends},
Provides:
 librust-tree-sitter-query+default-dev (= ${binary:Version}),
 librust-tree-sitter-query-0-dev (= ${binary:Version}),
 librust-tree-sitter-query-0+default-dev (= ${binary:Version}),
 librust-tree-sitter-query-0.4-dev (= ${binary:Version}),
 librust-tree-sitter-query-0.4+default-dev (= ${binary:Version}),
 librust-tree-sitter-query-0.4.0-dev (= ${binary:Version}),
 librust-tree-sitter-query-0.4.0+default-dev (= ${binary:Version}),
Description: query grammar for the tree-sitter parser - Rust source code
 tree-sitter-query is a tree-sitter grammar for query files (scheme-like).
 .
 Tree-sitter is a parser generator and incremental parsing library.
 .
 This package contains the source for the Rust tree-sitter-query crate,
 packaged for use with cargo.
