=== debian/changelog ===
tree-sitter-query (0.6.2-3) unstable; urgency=medium

  * Require tree-sitter-cli >= 0.25 for autopkgtest

 -- James McCoy <jamessan@debian.org>  Thu, 16 Oct 2025 08:30:07 -0400

tree-sitter-query (0.6.2-2) unstable; urgency=medium

  * Upload to unstable

 -- James McCoy <jamessan@debian.org>  Mon, 13 Oct 2025 20:48:42 -0400

tree-sitter-query (0.6.2-1) experimental; urgency=medium

  * New upstream release
  * Generate parser using the same language ABI as upstream's release

 -- James McCoy <jamessan@debian.org>  Wed, 03 Sep 2025 21:04:41 -0400
