=== debian/control ===
--- 
+++ 
@@ -7,11 +7,12 @@
  cargo:native,
  debhelper-compat (= 13),
  dh-sequence-rust,
- librust-cc-1+default-dev (>= 1.0.89),
- librust-tree-sitter-0+default-dev (>= 0.21),
+ librust-cc-1+default-dev (>= 1.2),
+ librust-tree-sitter-language-0.1+default-dev,
+ librust-tree-sitter-0.25+default-dev (>= 0.25.3),
  nodejs,
  rustc:native,
- tree-sitter-cli (>= 0.21),
+ tree-sitter-cli (>= 0.25.3),
 Standards-Version: 4.7.2
 Section: libs
 Homepage: https://github.com/tree-sitter-grammars/tree-sitter-query/
@@ -25,7 +26,7 @@
  ${misc:Depends},
  gcc,
  libc6-dev | libc-dev,
- libtree-sitter-dev (>= 0.21),
+ libtree-sitter-dev (>= 0.22.4),
  make,
  pkgconf,
 Description: Tree-sitter queries parser for Tree-sitter (source files)
@@ -37,17 +38,17 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- librust-cc-1+default-dev (>= 1.0.89),
- librust-tree-sitter-0+default-dev (>= 0.21),
+ librust-cc-1+default-dev (>= 1.2),
+ librust-tree-sitter-language-0.1+default-dev,
  ${misc:Depends},
 Provides:
  librust-tree-sitter-query+default-dev (= ${binary:Version}),
  librust-tree-sitter-query-0-dev (= ${binary:Version}),
  librust-tree-sitter-query-0+default-dev (= ${binary:Version}),
- librust-tree-sitter-query-0.4-dev (= ${binary:Version}),
- librust-tree-sitter-query-0.4+default-dev (= ${binary:Version}),
- librust-tree-sitter-query-0.4.0-dev (= ${binary:Version}),
- librust-tree-sitter-query-0.4.0+default-dev (= ${binary:Version}),
+ librust-tree-sitter-query-0.6-dev (= ${binary:Version}),
+ librust-tree-sitter-query-0.6+default-dev (= ${binary:Version}),
+ librust-tree-sitter-query-0.6.2-dev (= ${binary:Version}),
+ librust-tree-sitter-query-0.6.2+default-dev (= ${binary:Version}),
 Description: query grammar for the tree-sitter parser - Rust source code
  tree-sitter-query is a tree-sitter grammar for query files (scheme-like).
  .
