=== debian/tests/control ===
Tests: smoke
Depends: tree-sitter-cli (>= 0.25), tree-sitter-query-src

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tree-sitter-query 0.6.2 --all-targets --all-features
Features:
 test-name=librust-tree-sitter-query-dev:@,
Depends:
 dh-rust,
 librust-cc-1+default-dev (>= 1.2),
 librust-tree-sitter-0.25+default-dev (>= 0.25.3),
 librust-tree-sitter-language-0.1+default-dev,
 librust-tree-sitter-query-0.6.2-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tree-sitter-query 0.6.2 --all-targets
Features:
 test-name=librust-tree-sitter-query-dev:default,
Depends:
 dh-rust,
 librust-cc-1+default-dev (>= 1.2),
 librust-tree-sitter-0.25+default-dev (>= 0.25.3),
 librust-tree-sitter-language-0.1+default-dev,
 librust-tree-sitter-query-0.6.2+default-dev,
Restrictions:
 allow-stderr,

Test-Command: /usr/share/dh-rust/bin/cargo-auto-test tree-sitter-query 0.6.2 --all-targets --no-default-features
Features:
 test-name=librust-tree-sitter-query-dev:,
Depends:
 dh-rust,
 librust-cc-1+default-dev (>= 1.2),
 librust-tree-sitter-0.25+default-dev (>= 0.25.3),
 librust-tree-sitter-language-0.1+default-dev,
 librust-tree-sitter-query-0.6.2-dev,
Restrictions:
 allow-stderr,
